#ifdef USEGLUT
  #define GLW_NUMPAD0 '0'
  #define GLW_NUMPAD1 '1'
  #define GLW_NUMPAD2 '2'
  #define GLW_NUMPAD3 '3'
  #define GLW_NUMPAD4 '4'
  #define GLW_NUMPAD5 '5'
  #define GLW_NUMPAD6 '6'
  #define GLW_NUMPAD7 '7'
  #define GLW_NUMPAD8 '8'
  #define GLW_NUMPAD9 '9'
  
  #define GLW_F1 GLUT_KEY_F1
  #define GLW_F2 GLUT_KEY_F2
  #define GLW_F3 GLUT_KEY_F3
  #define GLW_F4 GLUT_KEY_F4
  #define GLW_F5 GLUT_KEY_F5
  #define GLW_F6 GLUT_KEY_F6
  #define GLW_F7 GLUT_KEY_F7
  #define GLW_F8 GLUT_KEY_F8
  #define GLW_F9 GLUT_KEY_F9
  #define GLW_F10 GLUT_KEY_F10
  #define GLW_F11 GLUT_KEY_F11
  #define GLW_F12 GLUT_KEY_F12
  #define GLW_ESCAPE 27  
  
  #define GLW_ADD '+'
  #define GLW_SUBTRACT '-'
#else
  #ifdef WIN32
    #define GLW_F1 VK_F1
    #define GLW_F2 VK_F2
    #define GLW_F3 VK_F3
    #define GLW_F4 VK_F4
    #define GLW_F5 VK_F5
    #define GLW_F6 VK_F6
    #define GLW_F7 VK_F7
    #define GLW_F8 VK_F8
    #define GLW_F9 VK_F9
    #define GLW_F10 VK_F10
    #define GLW_F11 VK_F11
    #define GLW_F12 VK_F12


    #define GLW_NUMPAD0 VK_NUMPAD0
    #define GLW_NUMPAD1 VK_NUMPAD1
    #define GLW_NUMPAD2 VK_NUMPAD2
    #define GLW_NUMPAD3 VK_NUMPAD3
    #define GLW_NUMPAD4 VK_NUMPAD4
    #define GLW_NUMPAD5 VK_NUMPAD5
    #define GLW_NUMPAD6 VK_NUMPAD6
    #define GLW_NUMPAD7 VK_NUMPAD7
    #define GLW_NUMPAD8 VK_NUMPAD8
    #define GLW_NUMPAD9 VK_NUMPAD9

    #define GLW_ADD VK_ADD
    #define GLW_SUBTRACT VK_SUBTRACT
	#define GLW_ESCAPE VK_ESCAPE
    
  #else
  // Pas de GLUT et pas Windows donc X Window !
    #include <X11/keysym.h>
    #define GLW_NUMPAD0 XK_KP_0
    #define GLW_NUMPAD1 XK_KP_1
    #define GLW_NUMPAD2 XK_KP_2
    #define GLW_NUMPAD3 XK_KP_3
    #define GLW_NUMPAD4 XK_KP_4
    #define GLW_NUMPAD5 XK_KP_5
    #define GLW_NUMPAD6 XK_KP_6
    #define GLW_NUMPAD7 XK_KP_7
    #define GLW_NUMPAD8 XK_KP_8
    #define GLW_NUMPAD9 XK_KP_9

    #define GLW_F1 XK_F1
    #define GLW_F2 XK_F2
    #define GLW_F3 XK_F3
    #define GLW_F4 XK_F4
    #define GLW_F5 XK_F5
    #define GLW_F6 XK_F6
    #define GLW_F7 XK_F7
    #define GLW_F8 XK_F8
    #define GLW_F9 XK_F9
    #define GLW_F10 XK_F10
    #define GLW_F11 XK_F11
    #define GLW_F12 XK_F12
    #define GLW_ESCAPE XK_Escape  
    
    #define GLW_ADD XK_KP_Add
    #define GLW_SUBTRACT XK_KP_Subtract
  #endif
#endif